aboutsummaryrefslogtreecommitdiff
path: root/testsuite/patch.tests
diff options
context:
space:
mode:
authorDenis Vlasenko <vda.linux@googlemail.com>2008-03-25 14:15:39 +0000
committerDenis Vlasenko <vda.linux@googlemail.com>2008-03-25 14:15:39 +0000
commitcc2965fd236a85e5cac4fffa1c34057997780385 (patch)
tree39c5b7183cbc85130bd3f43ae25bd84898463c22 /testsuite/patch.tests
parent80591b0a000e88c284bd2ec355f27e19e1da7528 (diff)
downloadbusybox-cc2965fd236a85e5cac4fffa1c34057997780385.tar.gz
patch: fix vda's thinko: we need to open new_filename.orig, always!
plug memory leak; add testsuite patch_main 1009 988 -21
Diffstat (limited to 'testsuite/patch.tests')
-rwxr-xr-xtestsuite/patch.tests47
1 files changed, 47 insertions, 0 deletions
diff --git a/testsuite/patch.tests b/testsuite/patch.tests
new file mode 100755
index 000000000..8a957d3f7
--- /dev/null
+++ b/testsuite/patch.tests
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Copyright 2008 by Denys Vlasenko
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+# testing "test name" "options" "expected result" "file input" "stdin"
+
+testing "patch with old_file == new_file" \
+ "patch; echo $?; cat input" \
+"\
+patching file input
+0
+qwe
+asd
+zxc
+" \
+ "qwe\nzxc\n" \
+"\
+--- input Jan 01 01:01:01 2000
++++ input Jan 01 01:01:01 2000
+@@ -1,2 +1,3 @@
+ qwe
++asd
+ zxc
+" \
+
+testing "patch with nonexistent old_file" \
+ "strace -o zzz patch; echo $?; cat input" \
+"\
+patching file input
+0
+qwe
+asd
+zxc
+" \
+ "qwe\nzxc\n" \
+"\
+--- input.doesnt_exist Jan 01 01:01:01 2000
++++ input Jan 01 01:01:01 2000
+@@ -1,2 +1,3 @@
+ qwe
++asd
+ zxc
+" \
+
+exit $FAILCOUNT